# mcrypt_module_self_test

(PHP 4 >= 4.0.2, PHP 5, PHP 7 < 7.2.0, PECL mcrypt >= 1.0.0)

mcrypt_module_self_test — This function runs a self test on the specified module

Warning

This function has been DEPRECATED as of PHP 7.1.0. Relying on this function is highly discouraged.

### Description

mcrypt_module_self_test ( string `$algorithm` [, string `$lib_dir` ] ) : bool

This function runs the self test on the algorithm specified.

### Parameters

`algorithm`

  One of the `MCRYPT_ciphername` constants, or the name of the algorithm as string.

`lib_dir`

  The optional `lib_dir` parameter can contain the location where the algorithm module is on the system.

### Return Values

The function returns `TRUE` if the self test succeeds, or `FALSE` when it fails.

### Examples

Example #1 mcrypt_module_self_test() example

`<?php
var_dump(mcrypt_module_self_test(MCRYPT_RIJNDAEL_128)) . "\n";
var_dump(mcrypt_module_self_test(MCRYPT_BOGUS_CYPHER));
?>`

The above example will output:

    bool(true)
    bool(false)